Subject: Re: bug#21921: New function comment-line also comments first line after region

From: Andreas Röhler <[email-masked]>
Date: Tue, 17 Nov 2015 21:47:51 +0100

On 16.11.2015 18:59, Rasmus wrote:
> Artur Malabarba<[email-masked]>  writes:
>
>> Indeed. When I was deciding how comment-line should work on a region, I
>> specifically chose to not make it identical to comment-dwim.
>>
>> Maybe it should still treat the "region ends at a newline" case specially.
>> Some emacs commands do that already.
>> Not sure though, since that would be slightly redundant with comment-dwim.
> It's already in comment-dwim.  On my layout, comment-dwim is easier to
> reach anyway.  I’m indifferent on the behavior of comment-line in this
> edge case.  Both would make sense.
>
> Rasmus
>

Being in favor to keep it as implemented. Congrats BTW. Use this feature 
for years personally, glad to see it built-in now.
IMO it's most useful as line-oriented command. Moving one line down, 
being ready for repeat.

Cheers,

Andreas